Bug 919785 (CVE-2013-2275)

Summary: CVE-2013-2275 Puppet: default auth.conf allows authenticated node to submit a report for any other node
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, bkearney, ccoleman, cpelland, dajohnso, dmcphers, jeckersb, jialiu, jomara, lmeyer, markmc, mmcallis, mmccune, morazi, msuchy, rbryant, rh, sclewis, security-response-team, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130312,reported=20130309,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:P/A:N,openshift-1/puppet=affected,cloudformscommon-1/puppet=wontfix,epel-all/puppet=affected,openstack-2.1/puppet=affected,sam-1/puppet=affected,fedora-all/puppet=affected
Fixed In Version: puppet 2.6.18, puppet 2.7.21, puppet 3.1.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-11 03:01:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 919788, 919790, 919791, 920843, 920845, 924458, 995661    
Bug Blocks: 919786, 919787, 921763    

Description Kurt Seifried 2013-03-10 00:11:04 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-2275 - Incorrect default report ACL
* Affected versions: 0.25.0 and greater
* Resolved in Puppet 2.6.18, 2.7.21, 3.1.1, Puppet Enterprise 1.2.7, 2.7.2

The default auth.conf allows an authenticated node to submit a report
for any other node, which is a problem for compliance. It should be
more restrictive by default so that a node is only allowed to save its
own report.
Comment 2 Vincent Danen 2013-03-12 17:37:48 EDT
Created puppet tracking bugs for this issue

Affects: epel-all [bug 920843]
Comment 3 Vincent Danen 2013-03-12 17:41:51 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 920845]
Comment 4 Kurt Seifried 2013-03-15 00:59:18 EDT
For the puppet roll-up patches please see Bz 919783 for the patch files.
Comment 6 Murray McAllister 2013-03-26 21:39:23 EDT
External References:

https://puppetlabs.com/security/cve/cve-2013-2275/
Comment 7 Murray McAllister 2013-03-27 03:26:44 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 8 errata-xmlrpc 2013-04-04 16:20:39 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0710 https://rhn.redhat.com/errata/RHSA-2013-0710.html
Comment 9 Fedora Update System 2013-04-05 18:36:55 EDT
puppet-2.6.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-05 18:38:04 EDT
puppet-2.6.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Kurt Seifried 2013-07-26 02:18:44 EDT
The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.
Comment 12 Fedora Update System 2013-08-01 23:24:49 EDT
puppet-3.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.